/* sane - Scanner Access Now Easy.
   Copyright (C) 1997 David Mosberger-Tang
   This file is part of the SANE package.

   SANE is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2 of the License, or (at your
   option) any later version.

   SANE is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.

   You should have received a copy of the GNU General Public License
   along with sane; see the file COPYING.  If not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */
#ifndef net_h
#define net_h

#include <sys/types.h>
#include <sys/socket.h>

#include <sane/sanei_wire.h>

typedef struct Net_Device
  {
    struct Net_Device *next;
    const char *name;
    struct sockaddr addr;
    int ctl;			/* socket descriptor (or -1) */
    Wire wire;
    int auth_active;
  }
Net_Device;

typedef struct Net_Scanner
  {
    /* all the state needed to define a scan request: */
    struct Net_Scanner *next;

    int options_valid;			/* are the options current? */
    SANE_Option_Descriptor_Array opt;

    SANE_Word handle;		/* remote handle (it's a word, not a ptr!) */

    int data;			/* data socket descriptor */
    int reclen_buf_offset;
    u_char reclen_buf[4];
    size_t bytes_remaining;	/* how many bytes left in this record? */

    /* device (host) info: */
    Net_Device *hw;
  }
Net_Scanner;

#endif /* net_h */
