#include <sane/sanei.h>

#define ENTRY(name)	PASTE(PASTE(PASTE(sane_,BACKEND_NAME),_),name)

#ifndef __GNU_C__
  extern void sanei_debug (int level, const char *msg, ...);
#endif

#ifdef NDEBUG
# define DBG_INIT(backend, var)
# ifdef __GNUC__
#  define DBG(level, msg, args...)
# else
#  define DBG		if (0) sanei_debug
# endif
#  define IF_DBG(x)
#else
# include <stdio.h>

int PASTE(sanei_debug_,BACKEND_NAME);

# define DBG_INIT()					\
  sanei_init_debug (STRINGIFY(BACKEND_NAME),		\
		    &PASTE(sanei_debug_,BACKEND_NAME))

#ifdef __GNUC__
# define DBG(level, msg, args...)					\
  do {									\
    if (PASTE(sanei_debug_,BACKEND_NAME) >= (level))			\
      fprintf (stderr, "[" STRINGIFY(BACKEND_NAME) "] " msg, ##args);	\
  } while (0)

  extern sanei_init_debug (const char * backend, int * debug_level_var);
#else
# define DBG		sanei_debug
#endif

# define IF_DBG(x)	x
#endif
